Package com.xebialabs.deployit.plugin.api.udm.artifact

# Interface SourceArtifact

All Superinterfaces:
  `Artifact`, `ConfigurationItem`, `Serializable`

All Known Subinterfaces:
  `ArchiveArtifact`, `DeployableArtifact`, `FileArtifact`, `FolderArtifact`

All Known Implementing Classes:
  `BaseDeployableArchiveArtifact`, `BaseDeployableArtifact`, `BaseDeployableFileArtifact`, `BaseDeployableFolderArtifact`, `BaseProvisionerArtifact`, `EmbeddedDeployableArtifact`

public interface SourceArtifact extends Artifact

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHECKSUM_PROPERTY_NAME`
  `static final String`
  `FILE_URI_PROPERTY_NAME`
  `static final String`
  `IS_RESCANNED_PROPERTY_NAME`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChecksum()`
  Returns the (calculated or user-defined) checksum of the artifact file.
  `default com.xebialabs.deployit.plugin.credentials.Credentials`
  `getCredentials()`
  Returns the credentials for artifact location.
  `String`
  `getExcludeFileNamesRegex()`
  `Map<String,String>`
  `getFileEncodings()`
  This will return a map that specifies which files map to which encodings.
  `String`
  `getFileUri()`
  Returns the artifact location which can be resolved using an artifact resolver.
  `Set<String>`
  `getPlaceholders()`
  `default com.xebialabs.deployit.plugin.proxy.ProxySettings`
  `getProxySettings()`
  Returns the proxy settings for artifact location.
  `String`
  `getTextFileNamesRegex()`
  `void`
  `setPlaceholders(Set<String> placeholders)`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.Artifact

  `getFile, setFile`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### FILE_URI_PROPERTY_NAME

    static final String FILE_URI_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### CHECKSUM_PROPERTY_NAME

    static final String CHECKSUM_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### IS_RESCANNED_PROPERTY_NAME

    static final String IS_RESCANNED_PROPERTY_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getPlaceholders

    Set<String> getPlaceholders()

  - ### setPlaceholders

    void setPlaceholders(Set<String> placeholders)

  - ### getTextFileNamesRegex

    String getTextFileNamesRegex()

  - ### getExcludeFileNamesRegex

    String getExcludeFileNamesRegex()
    Returns:
      regex that captures all the files that should not be scanned.

  - ### getFileEncodings

    Map<String,String> getFileEncodings()
    This will return a map that specifies which files map to which encodings. By default XL Deploy will use UTF-8 for replacing placeholders in files, unless this property contains a regex as key which matches the path of the file within the artifact. If a key matches, XL Deploy will use the attached value in the map as encoding for replacing placeholders in the file.
    Returns:
      map that maps a regex to a target encoding for a file.

  - ### getFileUri

    String getFileUri()
    Returns the artifact location which can be resolved using an artifact resolver.

  - ### getCredentials

    default com.xebialabs.deployit.plugin.credentials.Credentials getCredentials()
    Returns the credentials for artifact location.

  - ### getProxySettings

    default com.xebialabs.deployit.plugin.proxy.ProxySettings getProxySettings()
    Returns the proxy settings for artifact location.

  - ### getChecksum

    String getChecksum()
    Returns the (calculated or user-defined) checksum of the artifact file.